/* Flight Status Component Styles */

.flight-status-card {
    border-radius: 0.75rem;
    padding: 0.625rem;
}

.flight-route-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0.3125rem;
    position: relative;
}

.airport-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    z-index: 2;
}

.airport-info.departure {
    align-items: flex-start;
    text-align: left;
}

.airport-info.arrival {
    align-items: flex-end;
    text-align: right;
}

.airport-code {
    font-weight: 600;
    font-size: 0.75rem;
    line-height: 0.75rem;

    color: var(--text-primary);
    margin-bottom: 0.125rem;
}

.airport-time,
.airport-datetime {
    font-weight: 400;
    font-size: 0.75rem;
    line-height: 0.75rem;

    color: var(--text-primary);
}

.flight-path {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 1rem;
    position: relative;
}

.flight-line {
    width: 100%;
    height: 0.125rem;
    border-bottom: 0.0625rem dashed var(--primary);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.airplane-icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #6ed4be;
    font-size: 1rem;
    z-index: 1;
}

.flight-details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    margin-bottom: 1.25rem;
}

.flight-number {
    font-weight: 400;
    font-size: 0.75rem;
    line-height: 0.75rem;

    color: var(--text-primary);
    margin-bottom: 0.125rem;
}

.flight-status {
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-weight: 400;
    font-size: 0.75rem;
    line-height: 0.75rem;
}

.flight-status .status-text {
    color: #5f808a;
    font-size: small;
}

.flight-status .delay-info {
    color: #e53935;

}

/* Location dot icons */
.dep {
    color: var(--accents);
}

.arr {
    color: var(--secondary);
}